libosmo-sigtran 2.2.1.4-74d0 Osmocom SIGTRAN library

Data Fields
osmo_ss7_asp_peer Struct Reference

`#include <ss7_asp_peer.h>`

## Data Fields
char * | host [OSMO_SOCK_MAX_ADDRS]
size_t | host_cnt
uint16_t | port
int | idx_primary

## Field Documentation

## ◆ host

char* osmo_ss7_asp_peer::host[OSMO_SOCK_MAX_ADDRS]

Referenced by DEFUN_ATTR(), osmo_sccp_simple_server_add_clnt(), sctp_peer_addr_change_ev_addr_matches_our_primary(), ss7_asp_apply_drop_local_address(), ss7_asp_apply_new_local_address(), ss7_asp_apply_peer_primary_address(), ss7_asp_apply_primary_address(), ss7_asp_peer_add_host2(), ss7_asp_peer_del_host(), ss7_asp_peer_find_host(), ss7_asp_peer_match_host(), ss7_asp_peer_set_hosts2(), ss7_asp_peer_snprintf(), ss7_asp_set_default_peer_hosts(), ss7_asp_start_client(), ss7_vty_write_one_asp(), ss7_vty_write_one_oxs(), ss7_xua_server_add_local_host(), ss7_xua_server_del_local_host(), ss7_xua_server_set_local_hosts(), and xua_accept_cb().

## ◆ host_cnt

size_t osmo_ss7_asp_peer::host_cnt

Referenced by DEFUN_ATTR(), osmo_sccp_simple_server_add_clnt(), ss7_asp_apply_peer_primary_address(), ss7_asp_apply_primary_address(), ss7_asp_find_by_socket_addr(), ss7_asp_peer_add_host2(), ss7_asp_peer_del_host(), ss7_asp_peer_find_host(), ss7_asp_peer_match_host(), ss7_asp_peer_set_hosts2(), ss7_asp_peer_snprintf(), ss7_asp_set_default_peer_hosts(), ss7_asp_start_client(), ss7_vty_write_one_asp(), ss7_vty_write_one_oxs(), ss7_xua_server_add_local_host(), ss7_xua_server_del_local_host(), ss7_xua_server_set_default_local_hosts(), ss7_xua_server_set_local_hosts(), and xua_accept_cb().

## ◆ idx_primary

int osmo_ss7_asp_peer::idx_primary

Referenced by asp_handle_sctp_notif_monitor_primary_address(), DEFUN_ATTR(), sctp_peer_addr_change_ev_addr_matches_our_primary(), ss7_asp_apply_peer_primary_address(), ss7_asp_apply_primary_address(), ss7_asp_peer_add_host2(), ss7_asp_peer_del_host(), ss7_asp_peer_init(), ss7_asp_peer_set_hosts2(), ss7_asp_peer_snprintf(), and ss7_vty_write_one_asp().

## ◆ port

uint16_t osmo_ss7_asp_peer::port

Referenced by _show_cs7_xua(), osmo_sccp_simple_client_on_ss7_id(), osmo_ss7_asp_find2(), osmo_ss7_asp_find_or_create2(), ss7_asp_alloc(), ss7_asp_apply_peer_primary_address(), ss7_asp_apply_primary_address(), ss7_asp_find_by_socket_addr(), ss7_asp_peer_snprintf(), ss7_asp_start_client(), ss7_vty_write_one_asp(), ss7_vty_write_one_oxs(), ss7_xua_server_create2(), ss7_xua_server_find2(), and xua_accept_cb().

The documentation for this struct was generated from the following file:

- src/ss7_asp_peer.h